/* jshint -W097 */ // don't warn about "use strict"
"use strict";

const {startDevServer} = require('@cypress/vite-dev-server');

module.exports = (on, config) => {
    require('@cypress/code-coverage/task')(on, config);
    on('file:preprocessor', require('@cypress/code-coverage/use-babelrc'));
    on('dev-server:start', (options) => {
        return startDevServer({
            options,
            webpackConfig
        });
    });
    return config;
};
